aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Mark D. Roth <roth@google.com>2016-10-06 07:43:24 -0700
committerGravatar Mark D. Roth <roth@google.com>2016-10-06 07:43:24 -0700
commit30542c0b889447458e0d134f12d6a0877501a30f (patch)
treed17804de3f570dff6db95a9fb5efd1286b49ebef /tools
parente40dd29db6ceae42bd6dd68427d76ffa608bd404 (diff)
parent3a9f49d409d5fa552ea6053eedfa0a8e27d160e0 (diff)
Merge remote-tracking branch 'upstream/master' into service_config
Diffstat (limited to 'tools')
-rwxr-xr-xtools/jenkins/reboot_worker.sh38
-rw-r--r--tools/run_tests/sources_and_headers.json3
2 files changed, 39 insertions, 2 deletions
diff --git a/tools/jenkins/reboot_worker.sh b/tools/jenkins/reboot_worker.sh
new file mode 100755
index 0000000000..285e699b9b
--- /dev/null
+++ b/tools/jenkins/reboot_worker.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Reboots Jenkins worker
+#
+# NOTE: No empty lines should appear in this file before igncr is set!
+set -ex -o igncr || set -ex
+
+# Give 5 seconds to finish the current job, then kill the jenkins slave process
+# to avoid running any other jobs on the worker and restart the worker.
+nohup sh -c 'sleep 5; killall java; sudo reboot' &
diff --git a/tools/run_tests/sources_and_headers.json b/tools/run_tests/sources_and_headers.json
index 5233449f68..2ca9ed6000 100644
--- a/tools/run_tests/sources_and_headers.json
+++ b/tools/run_tests/sources_and_headers.json
@@ -5046,8 +5046,7 @@
{
"deps": [
"grpc++",
- "grpc++_reflection",
- "grpc++_test_config"
+ "grpc++_reflection"
],
"headers": [
"test/cpp/util/cli_call.h",